Bug 1249504 - [RFE] showing when package is installed in 'dnf search'
[RFE] showing when package is installed in 'dnf search'
Status: CLOSED DUPLICATE of bug 1239281
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 04:10 EDT by Petr Hracek
Modified: 2015-08-11 09:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-11 09:10:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Hracek 2015-08-03 04:10:51 EDT
Description of problem:
This is RFE comes from my mind during playing with dnf.
Let's say that I would like to install program openshot (package for editing video)

~$ sudo dnf search openshot
Last metadata expiration check performed 0:23:24 ago on Mon Aug  3 09:36:11 2015.
=================================================================================== N/S Matched: openshot ====================================================================================
openshot.noarch : A GTK based non-linear video editor
libopenshot-audio.x86_64 : Audio library used by OpenShot
libopenshot-audio.i686 : Audio library used by OpenShot
python-libopenshot.x86_64 : Python bindings for libopenshot
libopenshot-devel.i686 : Development files for libopenshot
libopenshot-devel.x86_64 : Development files for libopenshot
libopenshot-audio-devel.x86_64 : Development files for libopenshot-audio
libopenshot-audio-devel.i686 : Development files for libopenshot-audio
libopenshot.x86_64 : Library for creating and editing videos
libopenshot.i686 : Library for creating and editing videos
~$ 

Command 'dnf install libopenshot-audio' installs just libopenshot-audio
Command 'dnf install openshot' installs just openshot

Output after installation via command 'dnf install libopenshot-audio libopenshot openshot'

~$ rpm -qa | grep openshot
libopenshot-audio-0.0.4-1.fc22.x86_64
libopenshot-0.0.4-1.fc22.x86_64
openshot-1.4.3-3.fc22.noarch
~$ 


I guess that it would be awesome to see output like:

~$ sudo dnf search openshot
Last metadata expiration check performed 0:23:24 ago on Mon Aug  3 09:36:11 2015.
=================================================================================== N/S Matched: openshot ====================================================================================
[I] openshot.noarch : A GTK based non-linear video editor
[I] libopenshot-audio.x86_64 : Audio library used by OpenShot
[I] libopenshot-audio.i686 : Audio library used by OpenShot
python-libopenshot.x86_64 : Python bindings for libopenshot
libopenshot-devel.i686 : Development files for libopenshot
libopenshot-devel.x86_64 : Development files for libopenshot
libopenshot-audio-devel.x86_64 : Development files for libopenshot-audio
libopenshot-audio-devel.i686 : Development files for libopenshot-audio
[I] libopenshot.x86_64 : Library for creating and editing videos
[I] libopenshot.i686 : Library for creating and editing videos
~$ 

or after the package name.

Of course I know that we have a dependencies. But in this case libopenshot-audio installs just libopenshot and not openshot itself. Which is correct.

Please consult it with your team and if it is not relevant then close the bug as WONTFIX or similar one.
Comment 1 Radek Holy 2015-08-11 09:10:18 EDT

*** This bug has been marked as a duplicate of bug 1239281 ***

Note You need to log in before you can comment on or make changes to this bug.